# A quick correctness check:

for (i in 1:2) { print(i); if (i==1) a <- i; print(a); }
cat("\n")

# Timing tests:

source("time.r")

f <- function (n) 
  { a <- 0; for (j in 1:n) for (i in 1:n) a <- a+i/j; a }

sys.time(r <- f(4000))
print(r)

g <- function (n) 
  { a <- 0; for (j in seq_len(n)) for (i in seq_len(n)) a <- a+i/j; a }

sys.time(r <- g(4000))
print(r)
