source("time.r")

M <- matrix(seq(0,1,2100),70,30)

cat("70x30:\n")
sys.time({for (i in 1:300000) S <- t(M)})
cat("30x70:\n")
sys.time({for (i in 1:300000) R <- t(S)})

M <- matrix(seq(0,1,12000),200,60)

cat("200x60:\n")
sys.time({for (i in 1:100000) S <- t(M)})
cat("60x200:\n")
sys.time({for (i in 1:100000) R <- t(S)})

v <- seq(0,2,12000)

cat("12000x1:\n")
sys.time({for (i in 1:1000000) u <- t(v)})
cat("1x12000:\n")
sys.time({for (i in 1:1000000) w <- t(u)})
