source("time.r")

a <- seq(1,2,length=1000)
b <- seq(3,4,length=1000)
s <- seq(5,6,length=4)
n <- 1000000

cat("\nTesting +\n\n")
sys.time({ for (i in 1:n) r <- 1+a; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a+1; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a+b; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a+s; }); print(sum(r))
sys.time({ for (i in 1:n) r <- s+a; }); print(sum(r))

cat("\nTesting -\n\n")
sys.time({ for (i in 1:n) r <- 1-a; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a-1; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a-b; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a-s; }); print(sum(r))
sys.time({ for (i in 1:n) r <- s-a; }); print(sum(r))

cat("\nTesting *\n\n")
sys.time({ for (i in 1:n) r <- 3*a; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a*3; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a*b; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a*s; }); print(sum(r))
sys.time({ for (i in 1:n) r <- s*a; }); print(sum(r))

cat("\nTesting /\n\n")
sys.time({ for (i in 1:n) r <- 3/a; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a/3; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a/b; }); print(sum(r))
sys.time({ for (i in 1:n) r <- a/s; }); print(sum(r))
sys.time({ for (i in 1:n) r <- s/a; }); print(sum(r))
