# Print user time for expression, with version identified from .Library.  Also
# does gc() beforehand for improved timing consistency.

sys.time <- function (ex)
{ gc()
  tm <- system.time(ex)
  mod <- sub(".*/","",sub("/library","",.Library))
  cat("Time:   ",tm[1],"  ",mod,"\n")
}
