# Run all the timing tests.

cat(R.Version()$version.string,"\n")

for (test in c(
  "test-cholesky.r",
  "test-complex-expr.r",
  "test-dollar.r",
  "test-em.r",
  "test-for.r",
  "test-matprod.r",
  "test-parens.r",
  "test-Qlearn.r",
  "test-square.r",
  "test-sum-prod.r",
  "test-transpose.r",
  "test-vec-arith.r",
  "test-vec-subset.r"
))
{ cat("\nRUNNING",test,"\n\n")
  source(test)
}

cat("\nDONE\n")
